Loading...
Searching...
No Matches
parity_ilp Struct Reference

`#include <Cgl012cut.hpp>`

## Public Attributes

int | mr
int | mc
int | mnz
int * | mtbeg
int * | mtcnt
int * | mtind
short int * | mrhs
double * | xstar
double * | slack
short int * | row_to_delete
short int * | col_to_delete
int * | gcd
short int * | possible_weak
short int * | type_even_weak
short int * | type_odd_weak
double * | loss_even_weak
double * | loss_odd_weak
double * | min_loss_by_weak

## Detailed Description

Definition at line 75 of file Cgl012cut.hpp.

## Member Data Documentation

## mr

int parity_ilp::mr

Definition at line 76 of file Cgl012cut.hpp.

## mc

int parity_ilp::mc

Definition at line 77 of file Cgl012cut.hpp.

## mnz

int parity_ilp::mnz

Definition at line 78 of file Cgl012cut.hpp.

## mtbeg

int* parity_ilp::mtbeg

Definition at line 79 of file Cgl012cut.hpp.

## mtcnt

int* parity_ilp::mtcnt

Definition at line 80 of file Cgl012cut.hpp.

## mtind

int* parity_ilp::mtind

Definition at line 81 of file Cgl012cut.hpp.

## mrhs

short int* parity_ilp::mrhs

Definition at line 82 of file Cgl012cut.hpp.

## xstar

double* parity_ilp::xstar

Definition at line 83 of file Cgl012cut.hpp.

## slack

double* parity_ilp::slack

Definition at line 84 of file Cgl012cut.hpp.

## row_to_delete

short int* parity_ilp::row_to_delete

Definition at line 85 of file Cgl012cut.hpp.

## col_to_delete

short int* parity_ilp::col_to_delete

Definition at line 86 of file Cgl012cut.hpp.

## gcd

int* parity_ilp::gcd

Definition at line 87 of file Cgl012cut.hpp.

## possible_weak

short int* parity_ilp::possible_weak

Definition at line 88 of file Cgl012cut.hpp.

## type_even_weak

short int* parity_ilp::type_even_weak

Definition at line 89 of file Cgl012cut.hpp.

## type_odd_weak

short int* parity_ilp::type_odd_weak

Definition at line 91 of file Cgl012cut.hpp.

## loss_even_weak

double* parity_ilp::loss_even_weak

Definition at line 93 of file Cgl012cut.hpp.

## loss_odd_weak

double* parity_ilp::loss_odd_weak

Definition at line 94 of file Cgl012cut.hpp.

## min_loss_by_weak

double* parity_ilp::min_loss_by_weak

Definition at line 95 of file Cgl012cut.hpp.

The documentation for this struct was generated from the following file:

- Cgl/src/CglZeroHalf/Cgl012cut.hpp